import { ElementRef, OnDestroy, OnInit, Renderer2 } from '@angular/core';
import { RouterService, ViewState, ViewStateService } from '../../router/index';
export declare class ContentComponent implements OnDestroy, OnInit {
    private viewStateService;
    private elementRef;
    private routerService;
    private state;
    private renderer;
    private steps;
    translate: string;
    opacity: number;
    private subs;
    private distanceX;
    private animationId;
    private maxWidth;
    constructor(viewStateService: ViewStateService, elementRef: ElementRef, routerService: RouterService, state: ViewState, renderer: Renderer2, steps: number);
    ngOnInit(): void;
    ngOnDestroy(): void;
    touchStart(event: any): void;
    animationTo(target: number): void;
}
